Skip to Content

Monthly invoice compiles all orders and transactions from last 30 days on the same invoice. Possibility to part pay and transfer the balance to loan.

Endpoint

POST /authorization/invoice

Request

For the request format see request common properties. There are no additional properties.

Example

{ "customer": { "identificationNumber": 193404016234, "userLanguageCode": 246, "phone": "0705485413", "email": "ove@abc.se" }, "invoicingAddress": { "firstName": "Ove", "lastName": "Lindahl", "addressLine1": "Åsögatan 56", "city": "Stockholm", "zip": "11829" }, "deliveryAddress": { "firstName": "Parvaneh", "lastName": "Kourosh", "addressLine1": "Åsögatan 58", "city": "Stockholm", "zip": "11830", "country": "Sweeden" }, "items": [ { "description": "Beach shirt", "amount": 100, "taxAmount": 12 }, { "description": "Travel shorts", "amount": 200, "taxAmount": 24 } ], "useDifferentDeliveryAddress": true, "orderReference": "ST-3242-239", "posId": "A35", "idValidationCallbackUrl" : "http://beachware.com/api/id-validation" }

Response

For the format and examples see responses for all credit authorizations

Last updated on